[DRE-commits] [gem2deb] 01/02: Add run-from-checkout script to ease testing from source

Antonio Terceiro terceiro at moszumanska.debian.org
Sun Sep 27 16:45:37 UTC 2015


This is an automated email from the git hooks/post-receive script.

terceiro pushed a commit to branch master
in repository gem2deb.

commit edd85b816fbcb7a4e942a718853758cc63623765
Author: Antonio Terceiro <terceiro at debian.org>
Date:   Sun Sep 27 13:04:54 2015 -0300

    Add run-from-checkout script to ease testing from source
---
 run-from-checkout | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/run-from-checkout b/run-from-checkout
new file mode 100755
index 0000000..ec877df
--- /dev/null
+++ b/run-from-checkout
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+basedir=$(dirname $0)
+this_script=$(basename $0)
+
+if [ $# -eq 0 ]; then
+  prefix='usage:'
+  for program in $(ls -1 ${basedir}/bin); do
+    echo "$prefix $this_script $program [ARGS]"
+    prefix='      '
+  done
+  exit 1
+fi
+
+export PATH=${basedir}/bin:$PATH
+export RUBYLIB=${basedir}/lib
+export PERL5LIB=${basedir}/debhelper7
+
+"$@"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gem2deb.git



More information about the Pkg-ruby-extras-commits mailing list